package pdd

import (
	"duoduo/conf"
	"duoduo/models/pdd"
	"duoduo/tools"
	"duoduo/tools/app"

	"fmt"
	"github.com/gin-gonic/gin"

	"time"
)

//商品列表
func PddDdkGoodsSearch(c *gin.Context) {
	var inData pdd.PddDdkGoodsSearchRequest
	var outData pdd.PddDdkGoodsSearchResponse
	var pddErr pdd.ErrorPddResponse

	confIni, err := conf.ConnIni()
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	inData.ClientId = confIni.MustValue("pdd", "client_id")
	inData.Type = "pdd.ddk.goods.search"
	inData.Timestamp = fmt.Sprintf("%d", time.Now().Unix())
	inData.DataType = "JSON"

	inData.Sign = ""

	sign, err := DDKSign(inData)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}

	inData.Sign = sign
	val, err := PostDDk(inData, nil)

	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	err = tools.JsonUnmarshal(val, &outData)
	if err != nil {
		err = tools.JsonUnmarshal(val, &pddErr)
		if err != nil {
			app.Error(c, 500, err, err.Error())
			return
		}
		app.Error(c, 500, nil, pddErr.ErrorResponse.ErrorMsg)
		return
	}
	app.OK(c, outData, app.Success)

}
